#include <bits/stdc++.h>
#define pb push_back
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
     ll t;cin>>t;while(t--){
    ll n,a,poz,poz1,b,br=0;cin>>n;vector<ll>vec(n),vec1(n),vec2(n),vec3;map<ll,ll>maps,maps1;
    for(ll i=0;i<n;i++){
        cin>>vec[i];
    }
    for(ll i=0;i<n;i++){
        cin>>vec1[i];
    }
    for(ll i=0;i<n;i++){
        if(vec[i]!=0){
            a=vec[i];
            poz=i;
        }
        if(vec1[i]!=0){
            b=vec1[i];
            poz1=i;
        }
    }
    if(a==b && abs(poz-poz1)%2==0 || a==-b && abs(poz-poz1)%2==1)cout<<"DA\n";
    else cout<<"NE\n";
    }

    return 0;
}